public class Bid implements Comparable {

    private int _value;

    private Guess _guess;

    public Bid(int value, Guess g) {
        _value = value;
        _guess = g;
    }

    public int getValue() {
        return _value;
    }

    public Guess getGuess() {
        return _guess;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof Bid)) {
            return false;
        }
        Bid b = (Bid)o;
        return ((b.getValue() == _value) && (b.getGuess().equals(_guess)));
    }

    public int compareTo(Object o) {
        if (o == this) {
            return 0;
        }
        Bid b = (Bid)o;
        int value = b.getValue();
        if (_value < value) {
            return -1;
        } else if (_value == value) {
            return 0;
        } else {
            return 1;
        }
    }
}
